System.Design 1.0.5000.0 2.0.0.0 System.Object System.IDisposable System.Web.UI.Design.ITemplateEditingService

The class is obsolete. Expose templates through the property of a control designer. The design host creates a object for each in each that is defined for a control designer.

Provides services for editing control templates at design time. This class cannot be inherited.

- Constructor

  The class is obsolete. Expose templates through the property of a control designer. The design host creates a object for each in each that is defined for a control designer.

  Initializes a new instance of the class with the specified designer host.

  An implementation, used to access components at design time.
  1.0.5000.0
  2.0.0.0
- Method
  System.Web.UI.Design.ITemplateEditingFrame `` `` ``

  The class is obsolete. Expose templates through the property of a control designer. The design host creates a object for each in each that is defined for a control designer.

  Creates a new template editing frame for the specified templated control designer, using the specified name and templates.

  The new .

  The that will use the template editing frame. The name of the editing frame that will be displayed on the frame. Typically, this is the same as the used as the menu text for the that is invoked to create the frame. An array of names for the templates that the template editing frame will contain. 1.0.5000.0 2.0.0.0
- Method
  System.Web.UI.Design.ITemplateEditingFrame `` `` `` `` ``

  The class is obsolete. Expose templates through the property of a control designer. The design host creates a object for each that is defined for a control designer.

  Creates a new template editing frame for the specified object, using the specified name, template names, control style, and template styles.

  The new .

  The that will use the template editing frame. The name of the editing frame that will be displayed on the frame. Typically, this is the same as the used as the menu text for the that is invoked to create the frame. An array of names for the templates that the template editing frame will contain. The control for the editing frame. An array of type that represents the template styles for the editing frame. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added.

  Releases all resources that are used by the object.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.String ``

  The class is obsolete. Use the property of the class for equivalent design-time functionality.

  Gets the name of the parent template.

  The name of the parent template.

  The for which to get the name of the parent template. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added.

  The class is obsolete. Expose templates through the property of a control designer. The design host creates a object for each in each that is defined for a control designer.

  The property indicates whether a template editor can be invoked from a component of a parent template editor's templated control. This is called nested template editing, because a template editor is invoked for a component of a control for which a template editor is already operating.

  Gets a value that indicates whether the service supports nested template editing.

  1.0.5000.0
  2.0.0.0
System.Obsolete("Template editing is supported in ControlDesigner.TemplateGroups with SetViewFlags(ViewFlags.TemplateEditing, true) in 2.0.")